<?
define('PROTECTOR', 1);

$headmod = 'sklad';//фикс. места

$textl='Склад';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
going();
ryd();
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');
echo"<b>Склад</b>$div";

if(isset($_GET[send])){
$id=htmlspecialchars(stripslashes(addslashes($_GET['id'])));
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `id`= '$id' ") or die (mysql_error());
$avto=mysql_num_rows($req);
if($avto==1){
mysql_query("UPDATE `weapon` SET
`image` =  'sklad' WHERE `usr` = '$log' and `id`= '$id'");
echo"<font color='#71cc71'>Вещь положена на склад!</font>$div";}else{echo"Вещь не положена</font>$div";}
}

if(isset($_GET[invent])){
$id=htmlspecialchars(stripslashes(addslashes($_GET['id'])));
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `id`= '$id' and `image`='sklad' ") or die (mysql_error());
$avto=mysql_num_rows($req);
if($avto==1){
mysql_query("UPDATE `weapon` SET
`image` =  'not' WHERE `usr` = '$log' and `id`= '$id'");
echo"<font color='#71cc71'>Вещь положена в инвентарь!</font>$div";}else{echo"Вещь не положена</font>$div";}
}

if(isset($_GET[otdat])){
$id=htmlspecialchars(stripslashes(addslashes($_GET['id'])));
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `id`= '$id' and `image`='sklad' ") or die (mysql_error());
$avto=mysql_num_rows($req);
if($avto==1){
if(empty($_POST[user])){
echo "<form action='sklad.php?otdat&id=$id' method='POST'>";
echo"Введите пользователя:<br/>
<input class='input' type=\"text\" value=\"\" size=\"25\" name=\"user\"/><br/>";
echo '<input class="button" type="submit" value="Передать" /></form>';}else{
$us=htmlspecialchars(stripslashes(addslashes($_POST['user'])));
$prov = mysql_num_rows(mysql_query("SELECT * FROM `users` WHERE `usr`= '$us' "));
if($prov==0){echo"<font color='#ff3333'>Нет такого игрока!</font>$div";}else{
$wep = mysql_query("SELECT name FROM `weapon` WHERE `usr`= '$log' and `id`= '$id' and `image`='sklad' ") or die (mysql_error());
$weap = mysql_fetch_array($wep);
mysql_query("UPDATE `weapon` SET
`image` =  'not', `usr`='$us' WHERE `usr` = '$log' and `id`= '$id'");
$time = date("H:i d.m.y");
$text = "Пользователь $log прислал вам вещь $weap[name], посмотрите в инвентаре!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Кладовщик', `user_to` = '$us', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
mysql_query("INSERT INTO `logi` SET `userup` = '$us', `userout` = '$log', `time` = '$time', `log` = 'sklad', `text` = 'Передача $weap[name]'");


echo"<font color='#71cc71'>Вещь передана игроку $us!</font>$div";}}}
else{echo"Такой вещи нет$div";}
}

if(isset($_GET[del])){
$id=htmlspecialchars(stripslashes(addslashes($_GET['id'])));
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `id`= '$id' and `image`='sklad' ") or die (mysql_error());
$avto=mysql_num_rows($req);
if($avto==1){
mysql_query("DELETE FROM `weapon` WHERE `usr` = '$log' and `id`='$id' and `image`='sklad' ");
echo"<font color='#ff3333'>Вы выкинули эту вещь.</font>$div";}else{echo"Вещь не выкинута</font>$div";}
}

$req = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `image`= 'sklad' ") or die (mysql_error());
$avto=mysql_num_rows($req);
if($avto==0){echo"Ваш склад пуст.";}else{
While($mag = mysql_fetch_array($req))
{
if($udata[lvl]>$mag[nlvl]){$font="#AAAAAA";$pic="downlvl.png";}
if($udata[lvl]>=$mag[nlvl] and $udata[lvl]<=$mag[nlvl]+5){$font="#71cc71";$pic="lvl.png";}
if($udata[lvl]<$mag[nlvl]){$font="chocolate";$pic="uplvl.png";}
$wep = mysql_query("SELECT * FROM `weapon` WHERE `image`= 'yes' and `usr`='$log' and `tip`='$mag[tip]'") or die (mysql_error());
$wep = mysql_fetch_array($wep);
$stat = $wep[hp]+$wep[mp]+$wep[krit]+$wep[ukrit]+$wep[sila]+$wep[lovk]+$wep[prot];
$statmag = $mag[hp]+$mag[mp]+$mag[krit]+$mag[ukrit]+$mag[sila]+$mag[lovk]+$mag[prot];
if($stat==$statmag){$tex=" Надета такая же вещь!";}
if($statmag-$stat>0){$sta=$statmag-$stat; $tex="<font color='#71cc71'> Лучше +$sta</font>";}
if($statmag-$stat<0){$sta=$statmag-$stat; $tex="<font color='#FF6633'> Хуже $sta</font>";}
$am=$am+$mag[cena];
if(!empty($mag[img])){$patch="art/$mag[img]";}else{
$patch="weapon/$mag[tip]$mag[kompl].jpg";}
echo"<img class=\"float-left\" src=\"pic/pers/$patch\"/><a href=\"inventar.php?mod=info&id=$mag[id]\"><font color='$font'>$mag[name]</font></a></br>"; 
echo"<img src='pic/up.png' alt='*'/>$mag[nlvl] ур <img src='pic/pers/weapon/$pic' alt='*'/>$tex </p>
[<a href=\"sklad.php?invent&id=$mag[id]\">В инвентарь</a>] [<a href=\"sklad.php?otdat&id=$mag[id]\">Передать</a>] [<a href=\"sklad.php?del&id=$mag[id]\">Выкинуть</a>]$div";}
}
echo"<a href=\"inventar.php?\">Назад</a>";
include('files/down.php');
?>